// Copyright © 2022-2025 Gerald B. Cox
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package types

import (
	"fmt"
)

type MediaItem struct {
	Artist        string
	Album         string
	Track         string
	PlaySessionID string
	Source        string

	// New: MusicBrainz IDs for more accurate matching
	MusicBrainzArtistID       string
	MusicBrainzAlbumID        string
	MusicBrainzTrackID        string
	MusicBrainzReleaseGroupID string
}

// This struct represents a media item.
func (item *MediaItem) String() string {
	return fmt.Sprintf("%s - %s (%s)", item.Artist, item.Track, item.Album)
}
